How to upgrade your account to use PHP 5.3/5.4

This article explains how to switch PHP version on your Fluid Hosting Linux or Windows shared hosting account. Please carefully read the details below.

Are you hosted on Linux account?
If you are hosted on a Linux account with one of our shared hosting packages, the best way to activate the new PHP version is to complete 7 easy steps as shown below:

Step 1. Login to your hosting Control panel and go to “FTP/User Account” –> “Webshell4″ and click on icon, to launch the File Manager application.

Step 2. Find the domain where you’d like to active the new PHP version and open it’s folder.

Step 3. Go to “cgi-bin” folder and click on the “File” on top of the File Manager menu to create a new file.

Step 4. Now you need to fill out this file with a specific code depending on the PHP version which you are going to activate.

For PHP 5.3, please add the following code into the file:

#!/bin/sh
exec /hsphere/custom/php53/bin/php-cgi

For PHP 5.4, please add the following code into the file:

#!/bin/sh
exec /hsphere/custom/php54/bin/php-cgi

NOTE: For nozonenet.com customers, that paths are different. They are:

For PHP 5.3, please add the following code into the file:

#!/bin/sh
exec /hsphere/custom/lsphp53/bin/php-cgi

For PHP 5.4, please add the following code into the file:

#!/bin/sh
exec /hsphere/custom/lsphp54/bin/php-cgi

Step 5. Depending on the PHP version your are going to activate, please call this file “php53.fcgi” if you are activating PHP 5.3 or “php54.fcgi” if you are activating PHP 5.4.

Step 6. Make sure that this newly created file has CHMOD permissions 755.

Step 7. Finally, return to the root directory of your domain and create the .htaccess file. If the .htaccess file already exists, please open it and add the instruction below into it at the very top of the file.

For PHP 5.3, please add the following instruction into the file:

Action fastcgi-php53 /cgi-bin/php53.fcgi
AddHandler fastcgi-php53 .php

For PHP 5.4, please add the following instruction into the file:

Action fastcgi-php54 /cgi-bin/php54.fcgi
AddHandler fastcgi-php54 .php

Click the “Save” button to complete the final step.

Congratulations! Now you should have the new PHP version activated for one of your domains.

Please note that you can’t activate both PHP versions in the same time. By default we recommend to use PHP 5.3 since it has better compatibility with the old scripts.

Are you hosted on Windows account?
If you are hosted on Windows platform, unfortunately you don’t have an option to activate the new PHP version by yourself. However, it doesn’t mean that new PHP is not available for you. It only means that you will need to open a ticket from your control panel with the request to change the PHP version for one of your domains. So if you need new the PHP version activated, please feel free to contact us.

If you have any questions or need help to activate the new PHP version, please feel free to open a ticket. We would be glad to assist you.

Tags: , , , ,

Comments are closed.